﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SpectrumAnalysis.Calculation
{
    /// <summary>
    /// Holds a dominant and complementary wavelength
    /// </summary>
    public class DomCompWavelength
    {
        private readonly double? _dominantWavelength;
        private readonly double? _complementaryWavelength;
        public double? DominantWavelength { get { return _dominantWavelength; } }
        public double? ComplementaryWavelength { get { return _complementaryWavelength; } }

        public DomCompWavelength(double? dominantWavelength, double? complementaryWavelength)
        {
            _dominantWavelength = dominantWavelength;
            _complementaryWavelength = complementaryWavelength;
        }
    }
}
