﻿using System;

namespace SpectrumAnalysis.Data
{
    public class SpectrumPoint
    {
        public SpectrumPoint(double wavelength, double transmittance)
        {
            Wavelength = wavelength;
            Transmittance = transmittance;
        }
        public readonly double Wavelength;
        public readonly double Transmittance;

        public override string ToString()
        {
            return String.Format("[{0} nm, {1}]", Wavelength, Transmittance);
        }
    }
}
