﻿using SpectrumAnalysis.Utility;

namespace SpectrumAnalysis.Data
{
    public class XyY
    {
        public XyY(double x, double y, double yy)
        {
            X = x;
            Y = y;
            Yy = yy;
        } 
        public readonly double X;
        public readonly double Y;
        public readonly double Yy;

        public Xy GetXy()
        {
            return new Xy(X, Y);
        }

        public override string ToString()
        {
            return string.Format("x = {0}, y = {1}, Y = {2}", Util.Round4(X), Util.Round4(Y), Util.Round4(Yy));
        }
    }
}
