﻿using System.Collections.Generic;
using OxyPlot;
using SpectrumAnalysis.Data;

namespace SpectrumAnalysis.Plot
{
    public class PlotData
    {
        public readonly List<DataPoint> DataPoints;

        public PlotData(IEnumerable<Xy> data)
        {
            DataPoints = new List<DataPoint>();
            foreach (var dp in data)
            {
                DataPoints.Add(new DataPoint(dp.X, dp.Y));
            }
        }

        
    }
}
