﻿//using System;
//using System.Numerics;
//using System.Text;
//using MathNet.Numerics;
//using SpectrumAnalysis.Data;
//using SpectrumAnalysis.Interfaces;

//namespace SpectrumAnalysis.Calculation
//{
//    public class AnalyticalCalculator : SpectrumCalculator
//    {
//        public AnalyticalCalculator(bool cubic) : base(cubic)
//        {
            
//        }

//        public override double CalculateDominantWavelength(IObserver observer, Xy whitepoint, Xy point,
//            out string output)
//        {
//            StringBuilder sb = new StringBuilder();
            
//            if (observer.GetObserver() != StandardObservers.CIE_1931)
//            {
//                throw new Exception(
//                    "Standard observers other than CIE 1931 are not implemented for the Alalytical Calculation");
//            }
//            double x = point.X;
//            double y = point.Y;
//            const double m = -0.99180509099159;
//            const double b = 0.99464005992872;
//            sb.AppendFormat("Point = {0}, {1}\r\n", x, y);
            

            
//            double xw = whitepoint.X;
//            double yw = whitepoint.Y;
//            sb.AppendFormat("White point = {0}, {1}\r\n", xw, yw);

//            // White point line
//            double mw = (y - yw)/(x - xw);
//            double bw = y - mw * x;
//            sb.AppendFormat("White point line: m = {0}, b + {1}\r\n", mw, bw);

//            // Intersection
//            double xi = (b - bw)/(mw - m);
//            double yi = (mw*(b - bw)/(mw - m)) + bw;
//            sb.AppendFormat("Intersection point: {0}, {1}\r\n", xi, yi);

//            // Quadratic Intersection
//            const double quadFitA = -0.046171279671128;
//            const double quadFitB =-0.94593351289431;
//            const double quadFitC = 0.98364570233685;

//            const double ap = quadFitA;
//            double bp = quadFitB - mw;
//            double cp = quadFitC - bw;
//            Tuple<Complex,Complex> roots = FindRoots.Quadratic(cp, bp, ap);
//            sb.AppendFormat("Roots: {0}, {1}\r\n", roots.Item1, roots.Item2);
//            double root1 = roots.Item1.Real;
//            double root2 = roots.Item2.Real;
//            double diff1 = Math.Abs(root1 - xi);
//            double diff2 = Math.Abs(root2 - xi);
//            double quadXi = (diff1 < diff2) ? root1 : root2;


//            double quadYi = mw * quadXi + bw;
//            sb.AppendFormat("Intersection point (quadratic fit of chromaticity curve): {0}, {1}\r\n",
//                quadXi, quadYi);




//            // Linear distance
//            const double x600 = 0.627036599763872;
//            const double y600 = 0.372491145218418;
//            sb.AppendFormat("600 nm point = {0}, {1}\r\n", x600, y600);
//            double dx = xi - x600;
//            double dy = yi - y600;
//            sb.AppendFormat("dx = {0}, dy = {1}\r\n", dx, dy);
//            double d = Math.Sqrt(dx*dx + dy*dy);
//            sb.AppendLine("Linear distance from 600nm = " + d);
//            double quadDx = quadXi - x600;
//            double quadDy = quadYi - y600;
//            sb.AppendFormat("Quad dx = {0}, dy = {1}\r\n", quadDx, quadDy);
//            double quadD = Math.Sqrt(quadDx * quadDx + quadDy * quadDy);
//            sb.AppendLine("Quad linear distance from 600nm = " + quadD);

//            const double capA = 599.86471162391;
//            const double capB = -143.66737883341;
//            const double capC = 154.05256245272;
//            const double capD = -177.08700153084;

//            //const double linA = 598.35703064069;
//            //const double linB = -108.3304068042;

//            //double linWavelength = linA + linB * d;
//            //sb.AppendLine("Wavelength from 'linear' d vs WL fit: " + linWavelength);

//            //const double quadA = 599.44014530955;
//            //const double quadB = -126.81190063793;
//            //const double quadC = 45.43351107079;
//            //double quadWavelength = quadA + quadB*d + quadC*Math.Pow(d, 2);
//            //sb.AppendLine("Wavelength from quadridic d vs WL fit: " + quadWavelength);

//            double wavelength = capA + capB*d + capC*Math.Pow(d, 2) + capD*Math.Pow(d, 3);
//            sb.AppendLine("Dominant Wavelength (linear x-y and cubic d vs WL): " + wavelength);

//            double qWavelength = capA + capB * quadD + capC * Math.Pow(quadD, 2) + capD * Math.Pow(quadD, 3);
//            sb.AppendLine("Dominant Wavelength (quadradic x-y and cubic d vs WL): " + qWavelength);
//            output = sb.ToString();
//            return qWavelength;
//        }
//    }
//}
