﻿using System;
using SpectrumAnalysis.Interfaces;

namespace SpectrumAnalysis.Calculation
{
    public class CalculatorFactory
    {
        public static ISpectrumCalculator GetSpectrumCalculator(Algorithm algorithm, 
            InterpolationType interpolation)
        {
            switch (algorithm)
            {
                case Algorithm.A:
                    return new SpectrumCalculator(interpolation);
                    break;
                case Algorithm.B:
                    break;
                //case Algorithm.C:
                //    return new AnalyticalCalculator(cubic);
                //    break;
            }
            throw new Exception("Algorithm %s implementation not found");
        }
    }
}
